import { html as p } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, v = Object.getOwnPropertyDescriptor, n = (a, t, r, i) => {
  for (var e = i > 1 ? void 0 : i ? v(t, r) : t, l = a.length - 1, s; l >= 0; l--)
    (s = a[l]) && (e = (i ? s(t, r, e) : s(e)) || e);
  return i && e && g(t, r, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--notificationFilledLarge", this.class = "c-pieIcon c-pieIcon--notificationFilledLarge", this.name = "IconNotificationFilledLarge";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--notificationFilledLarge"><path d="M16 29.125a4.51 4.51 0 0 0 4.086-2.625h-8.172A4.51 4.51 0 0 0 16 29.125"></path><path d="M26.693 21.084a9.55 9.55 0 0 1-2.818-6.834v-.875a7.875 7.875 0 0 0-7-7.822V2.875h-1.75v2.678a8.14 8.14 0 0 0-7 8.146v.551a9.56 9.56 0 0 1-2.817 6.808l-.683.708v2.984h22.75v-2.984z"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  h("icon-notification-filled-large")
], o);
export {
  o as IconNotificationFilledLarge
};
